Loading...

Amazon RDS System Components

The following CommCell Console client computers are required:

  • A MediaAgent
  • A proxy server that facilitates the backup and restore operations
  • An Amazon RDS virtualization client

MediaAgents

You can install the MediaAgent on the same machine as the CommServe system or on a separate machine.

Proxy Server

The proxy client represents the client that is located in the Amazon cloud where the software stores the database data files.

Note: For Oracle Agent, use a Linux client as the proxy client.

The proxy client has the following components installed:

  • An Amazon EC2 instance.
  • The Commvault Virtualization Agent.
  • The Commvault database agent. You need to install the database software for each database type that the proxy server interfaces with.
    • The MySQLAgent. The MySQL Agent also includes the File System core package.

      For information about the MySQL system requirements, see System Requirements.

    • The Oracle Agent. The Oracle Agent also includes the File System core package.

      For information about the Oracle system requirements, see Oracle Agent System Requirements.

    • The PostgreSQL Agent. The PostgreSQL Agent also includes the File System core package.

      For information about the PostgreSQL system requirements, see System Requirements - PostgreSQL iDataAgent.

  • The database software. The database version must be the same version as the Amazon RDS instance database version.

Amazon RDS Virtualization Client

The Amazon Virtualization client is the client that you use to initiate backup operations and restore operations.

The virtualization client also includes the database agent software such as Oracle.

When you install the database agent, the software creates CommCell Console database instances that correspond to the Amazon database instances.

After you create and configure this client, you can perform all backup operations and restore operations from this client.

DISCLAIMER

Third-party maintenance (minor) releases or service packs that are supported by the Commvault software may not be listed in our System Requirements. When possible, Commvault provides information on any known issues related to these minor releases or service packs. In some cases, these minor releases or service packs affect how the Commvault software works. Commvault software may experience changes in functionality as the result of the third-party minor release or service pack. These changes are beyond the control of Commvault. Platforms that are supported in the current version of Commvault software may not be supported in earlier versions of the software. Contact your software provider to ensure that third-party minor releases or service packs are compatible with the Commvault software.

Additional considerations regarding minimum requirements and End-of-Life policies from third-party vendors also apply.

Last modified: 10/24/2018 11:57:33 AM